<template>
	<a-c-operation @refresh="clearData">
		<a-col>
			<a-button type="primary" @click="routerTo('/put/in')">上传活动图</a-button>
		</a-col>
		<a-col>
			<a-button type="primary" @click="download">导出参与活动用户</a-button>
		</a-col>
	</a-c-operation>
</template>

<script setup lang="ts">
	import { ref, onMounted, computed, defineProps, watch, defineEmits } from 'vue';
	import { PostActivityExportUsers } from '@/apis/models';
	import { useAsRouter } from '@/hooks/useAsRouter';
	let { routerTo } = useAsRouter();
	const download = () => {
		PostActivityExportUsers().then(res => {
			let url = 'https://rcsc-test.jcjob.cn/img' + res.data.excel_url;
			window.open(url);
		})
	}
</script>

<style>
</style>